/* Common Styles */
@font-face {
    font-family: 'FontAwesome';
    src:url('../fonts/fontawesome-webfont.eot');
    src:url('../fonts/fontawesome-webfont.eot?#iefix') format('embedded-opentype'),
    url('../fonts/fontawesome-webfont.woff') format('woff'),
    url('../fonts/fontawesome-webfont.ttf') format('truetype'),
    url('../fonts/fontawesome-webfont.svg') format('svg');
    font-weight: normal;
    font-style: normal;
}
@font-face {
    font-family: 'GlyphiconsHalflings';
    src:url('../fonts/glyphicons-halflings-regular.eot');
    src:url('../fonts/glyphicons-halflings-regular.eot?#iefix') format('embedded-opentype'),
    url('../fonts/glyphicons-halflings-regular.woff') format('woff'),
    url('../fonts/glyphicons-halflings-regular.ttf') format('truetype'),
    url('../fonts/glyphicons-halflings-regular.svg') format('svg');
    font-weight: normal;
    font-style: normal;
}
a {
    border: 0;
    outline: 0;
    cursor:pointer;
}
a img {border:none;}
a:link, a:visited, a:hover, a:active   {
    text-decoration: none;
	border:none;
	outline:none;
}
a:hover,
#landingHref span:hover,
a p:hover {
    text-decoration: underline !important;
    color: #fff !important;
}

html, body {
    width: 100%;
    height: 100%;
}
/* remove blue border in chrome and ff*/
:focus {outline:none;}
::-moz-focus-inner {border:0;}
body{
	-webkit-appearance:none;
	-moz-appearance:none;
	-ms-appearance:none;
	appearance:none;
	
	-webkit-font-smoothing:antialiased;
	-moz-font-smoothing:antialiased;
	-ms-font-smoothing:antialiased;
	font-smoothing:antialiased;
	
	-webkit-overflow-scrolling: touch;
	-webkit-tap-highlight-color:rgba(0,0,0,0);
	-webkit-user-select:none;
	-webkit-content-zooming: none;
	
	margin:0;
	padding:0;
	text-shadow:none;

    font-family: 'Open Sans', sans-serif;
}
input, textarea, keygen, select, button {
	margin: 0em;	
	color: white !important;
	letter-spacing: normal;
	word-spacing: normal;
	text-transform: none;
	text-indent: 0px;
	text-shadow: none;
	display: inline-block;
	padding-left: 12px;

    -webkit-box-shadow: none;
	box-shadow: none !important;
	-webkit-transition: none !important;
	-o-transition: none !important;
	transition: none !important;
}
input[placeholder] {
	color: #525253;
	font-family: 'Open Sans', sans-serif;
	font-size: 14px !important;
	font-weight: 600;
}
.row{
	padding: 0;
	margin: 0;	
}
ul{
	padding:0;
	margin:0;
	width:100%;
	height:auto;
	list-style:none;
	list-style-type:none;
}

#weekDays_List:focus-visible {
    border: 2px solid #ffffff;
    outline: #ffffff auto 2px;
}

.container {
    width: 100%;
    height: auto;
    margin: 0 !important;
    padding: 0 !important;
}

/* .displayelement{
    display: block !important;
}*/

.hideelement{
    display:none !important;
} 

.selection{
	background-color:#414042;
}

/* Spinner styles */
#spinnerContainer{
    z-index:100000;
    position:fixed;
    left:0;
    top:0;
    width:100%;
    height:100%;
    background-color:rgba(0,0,0,0.6);
    display:none;
}
#spinnerContainer > div{
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    margin: auto;
    width: 200px;
    height: 80px;
    text-align: center;
    background-color: #1f1f1f;
}
#spinnerLoader{
    position:relative;
    margin-top:5px;
    width:150px;
    height:auto;       
}
#spinnerText{
    position:relative;
    margin-top:5px;
    font-family: 'Open Sans', sans-serif;
    font-size: 16px;
    font-weight:600;
    color: #FFF;
}

#spinnerText:focus-visible {
    border:2px solid #ffffff;
}

.spinnerStyle {
    position: relative;
    margin-top: 5px;
    font-family: 'Open Sans', sans-serif;
    font-size: 16px;
    font-weight: 600;
    color: #FFF;
}
/* Fan Modal dialog in modes/schedules page */
#selectFanModeModal .modal-dialog {
 left: 0;
 right: 0;
 margin: 0 auto;
 width:300px;
}
#selectFanModeModal .modal-content {
 background-color: #1F1F1F;
 border-radius: 0px;
 overflow-x:hidden;
}
#selectFanModeModal .modal-header {
 background-color: #272728;
 border: none;
 border-bottom: 1px solid #404040;
}
#selectFanModeModal .modal-title {
 font-size: 18px;
 font-weight: 600;
 color: #FFFFFF;
 text-align: center;
}
#selectFanModeModal .modal-title:focus-visible {
   border: 2px solid #ffffff;
}
#selectFanModeModal .modal-body{
 padding:0;
}
#selectFanModeModal .selectFanHolder ul li {
  list-style: none;
  list-style-type: none;
  color: #FFF;
  padding: 6px 8px;
  font-size: 16px;
  font-weight: 300;
  cursor: pointer;
}

#selectFanModeModal .selectFanHolder ul li:focus-visible {
    border: 2px solid #ffffff;
}

#selectFanModeModal .selectFanHolder ul div {
  left: 0;
  right: 0;
  margin: 0 auto;
  display: table;
  clear: both;
}
#selectFanModeModal .selectFanHolder .fan{
    width: 36px;
    height: auto;
    float: left;
}
#selectFanModeModal .selectFanHolder ul li div span {
  padding-left: 10px;
  padding-top: 10px;
  float: right;
  text-transform:lowercase;
}
#selectFanModeModal .modal-body hr{
 border: 0;
 margin: 0;
 border-top: 1px solid #404040;
 width: 110%; 
 margin-left: -15px; 
}
#selectFanModeModal .modal-footer{
 padding: 0;
 text-align: left; 
 border-top: 0px; 
}
#selectFanModeModal .modal-footer input{
 width: 50%;
 height: 50px;
 font-size: 16px;
 font-weight: 600;
 background-color: #272728 !important;
 border:0;
 border-top: 1px solid #404040;
 border-bottom: 1px solid #404040;
 text-shadow: none;
 float:left;
}
#selectFanModeModal .modal-footer input:last-child{
 border-left: 1px solid #404040;
}
/* align popup to center of the page */
#selectFanModeModal .vertical-alignment-helper {
    display:table;
    height: 100%;
    width: 100%;
    /*pointer-events:none;*/
}
#selectFanModeModal .vertical-align-center {
    /* To center vertically */
    display: table-cell;
    vertical-align: middle;
    /*pointer-events:none;*/
}
#selectFanModeModal .modal-content {
    /* Bootstrap sets the size of the modal in the modal-dialog class, we need to inherit it */
    width:inherit;
    height:inherit;
    /* To center horizontally */
    margin: 0 auto;
}
/*#selectFanModeModal .vertical-align-center {
    width: 100%;
    height: 100%;
    display: table;
}*/
#ConfirmDelete .modal-dialog, #deleteAccountSuccess .modal-dialog{
    left: 0;
    right: 0;
    margin: 0 auto;
	width:300px;
	height:auto;}

#ConfirmDelete .modal-content, #deleteAccountSuccess .modal-content{
    background-color: #1F1F1F;
    border-radius: 0px;
}
#ConfirmDelete .modal-header, #deleteAccountSuccess .modal-header{
    background-color: #272728;
    /*border: 1px solid #404040;*/
    border:0;
}
#ConfirmDelete .close_modal, #deleteAccountSuccess .close_modal{
	/*float:left;
	font-size: 14px;
	line-height: 28px;
	cursor:pointer;*/
    position: absolute;
    right: 5px;
}
#ConfirmDelete .modal-title, #deleteAccountSuccess .modal-title{
    font-size: 16px;
    font-weight: 600;
    color: #FFFFFF;
    text-align: center;
    margin:0 auto;
}
#ConfirmDelete .modal-body, #deleteAccountSuccess .modal-body{
	padding: 30px 15px;    
    border: 1px solid #404040;
}
#ConfirmDelete .modal-body {
    padding-top: 20px;
}
#ConfirmDelete .modal-body input{
	background-color:transparent;
	outline:none;
	border: 1px solid #404040;
	width:100%;
	padding:5px;
	margin-bottom:5px;
    font-size:14px;
    font-weight:400;
}
#ConfirmDelete .modal-body p, #deleteAccountSuccess .modal-body p {
    text-align:center;
    font-style:italic;
    font-size:14px;
    font-weight:400;
    color:#FFF;
}
#ConfirmDelete .modal-footer, #deleteAccountSuccess .modal-footer{
	padding:0px;
	text-align:center;
	border-top:0;
}
#ConfirmDelete .modal-footer input, #deleteAccountSuccess .modal-footer input{
	width: 50%;
	height: 50px;
	font-size: 16px;
	font-weight: 600;
	background-color: #272728;
	border: 1px solid #404040;
	text-shadow: none;
    border:0;
    outline:0;
	float:none;
}
#ConfirmDelete .modal-footer input:first-child{
	float:left;
	border-top: 1px solid #404040;
	border-right: 1px solid #404040;
}
#ConfirmDelete .modal-footer input:last-child{
	float:right;
	border-top: 1px solid #404040;
}
#deleteAccountSuccess .modal-dialog{
	width:280px;	
}
#deleteAccountSuccess .modal-footer input{
 	width:100%;
 	border: 1px solid #404040; 
 	border-top: 0;
}

/* Common Styles for Modal Dialog */
.common-modal-dialog{
    width:480px;
    height:540px;
    margin-left:auto;
    margin-right:auto;
}
.common-modal-dialog .modal-content {
    width:100%;
    height:100%;
    background-color: #272728;
    border: 1px solid #404040;
    border-radius: 1px;
    outline: 0;
    -webkit-box-shadow: 0 3px 9px rgba(0,0,0,.5);
    box-shadow: 0 3px 9px rgba(0,0,0,.5);    

}
.common-modal-dialog .modal-header {
    border-bottom: 1px solid #404040;
	background-color:#1F1F1F;
}
.common-modal-dialog .modal-title {
    font-family: 'Open Sans', sans-serif;
    font-size: 18px;
    font-weight: 400;
    margin: 0;
    text-align: center;
    color: #FFF;
}
.common-modal-dialog .backArrowBtn{
	position: absolute;
	left: 15px;
  	top: 16px;
    display:none;
}
.common-modal-dialog .backArrowBtn img{
	width: 16px;
    height: auto;
}
.common-modal-dialog .closeBtn {
    position: absolute;
  	right: 15px;
	top: 14px;
	/* position: relative;	
    top: 0px;
    width: 32px;
	height:auto;
	float: right; */
}
.common-modal-dialog .modal-footer {
    text-align: center;
    border: none;
    /* margin-top: 50px; */
	margin-left:auto;
	margin-right:auto;
}
.common-modal-dialog .modal-footer button {
    color: #fff;
    background-color: #1F1F1F!important;
    border-color: #3A3A3A!important;
    width: 200px;
    height: 40px;
    font-family: 'Open Sans', sans-serif;
    font-size: 16px;
    font-weight: 400;
    border-radius: 0;
    padding: 4px 16px;
}
.common-modal-dialog .modal-footer button:hover, .common-modal-dialog .modal-footer button:focus, .common-modal-dialog .modal-footer button:active, .open>.dropdown-toggle.common-modal-dialog .modal-footer button {
    background-color: #1F1F1F!important;
    border-color: #3A3A3A!important;
    outline:none !important;
}
.common-modal-dialog .modal-body{
	padding: 15px 0px;
}
.common-modal-dialog .modal-body .form-group{
	margin-left:0px !important;
	margin-right:0px !important;
	border-bottom:1px solid #414042;	
	clear:both;
	margin-bottom: 15px;
}
.ValidationerrContainer {
    left: 0px;
    right: 0px;
    margin: 0 auto;
    font-size: 16px;
    font-weight: 400;
    font-style: italic;
    color: #be3b3f;
    text-align: center;
    padding:5px 10px;
    display: none;
}
#accountinfoModal .vertical-alignment-helper, #changeEmail .vertical-alignment-helper, #changePassword .vertical-alignment-helper{
    width: 100%;
    height: 100%;
    display:table;
}
#accountinfoModal .vertical-align-center, #changeEmail .vertical-align-center, #changePassword .vertical-align-center{    
    display: table-cell;
    vertical-align: middle;
}
#accountinfoModal .modal-content, #changeEmail .modal-content, #changePassword .modal-content{
    width:inherit;
    height:inherit;
    /*  height: auto;*/
    margin: 0 auto;
}
/* #deleteAccountSuccess .vertical-alignment-helper{
    width: 100%;
    height: 100%;
    display:table;
}
#deleteAccountSuccess .vertical-align-center{
    display: table-cell;
    vertical-align: middle;
}
#deleteAccountSuccess .modal-content{
    width:inherit;
    height:inherit;
    margin: 0 auto;
} */

/*bootstrap modal */
.modal-open, .stopScroll {
    overflow: hidden !important;
    position: fixed !important;
}



/* Media Queries */
@media (max-width: 767px) {    
}
@media (max-width: 480px) {		
	.common-modal-dialog{
        width:100%;
        height:100%;
        margin:0 !important;
    }
    .common-modal-dialog .closeBtn{
        display:none;
    }
    .common-modal-dialog .backArrowBtn{
        display:block;
    }
    .ValidationerrContainer{
        font-size:14px;
    }
}

.validation-summary-errors{
    display:none;
}

/* New Common Styles*/

a:focus-visible {
    outline: 2px solid #fff !important;
    outline: -webkit-focus-ring-color auto 2px !important;
    outline-offset: 2px !important;
}

.validation_modal_footer a.validation_custom_link:focus {
    outline-offset: initial !important;
}

.form-control:focus,
.input-group .form-control:focus,
input:focus,
input[type="file"]:focus,
textarea:focus,
keygen:focus,
select:focus,
button:focus,
.common-modal-dialog .modal-footer button:focus,
.pin_custom_btn:focus,
.btn:focus,
.slidemenu:focus,
.leftTableContainer table tr:focus,
.ui-state-default:focus,
.ui-widget-content .ui-state-default:focus,
.ui-widget-header .ui-state-default:focus,
span.ui-slider-handle.ui-state-default.ui-corner-all.sliderSpan:focus img {
    border-color: #fff !important;
    border-style: solid !important;
    border-width: 1px !important;
}

/*.input-group .custom_btn:focus {
    border-color: #fff !important;
}*/

.visually-hidden {
    border: 0 !important;
    clip: rect(0,0,0,0) !important;
    height: 1px !important;
    margin: -1px !important;
    overflow: hidden !important;
    padding: 0 !important;
    position: absolute;
    position: absolute !important;
    white-space: nowrap !important;
    width: 1px !important;
}

.text-white {
    color: #fff !important;
}


.signin_links:focus {
    color: #fff;
}

.ui-state-default:focus, .ui-widget-content .ui-state-default:focus {
    outline: none !important;
    border: 2px solid #000 !important;
}

.dwwr .dwfl .dwww:focus-visible {
    border: 2px solid #ffffff;
}

.dwwr .dwfl .dwww:focus-visible {
    border: 2px solid #ffffff;
}

.mbsc-mobiscroll .dwb:focus-visible {
    border: 2px solid #ffffff;
}

.rightlinks:focus-visible {
    outline: -webkit-focus-ring-color auto 2px;
    border: 2px solid #fff;
}

